These are from upstream. They will be shipped in future upstream releases.

--- /dev/null
+++ b/vendor/common/build-config/generate-config-backend-for-frontend.sh
@@ -0,0 +1,11 @@
+#! /bin/sh
+
+#
+# Extracts all config header templates from the backend config.h intended
+# for the frontend
+#
+
+echo "/* Generated from $1 by $0.  */"
+echo
+LC_ALL=C grep -B 1 '^#undef HAVE_BACKEND_' "$1" |
+    LC_ALL=C sed -e 's/^--//'
--- /dev/null
+++ b/vendor/common/build-config/generate-library-version.sh
@@ -0,0 +1,39 @@
+#! /bin/sh
+
+# this script expects an input that contains at least three lines specifying
+# the library interface version, e.g.
+# library.current=1
+# library.revision=2
+# library.age=4
+
+format="${2-}"
+
+current=0
+revision=0
+age=0
+
+errormsg=
+atexit_error()
+{
+    if test -n "$errormsg"
+    then
+        printf "%s\n" "$errormsg"
+    fi
+}
+trap atexit_error EXIT
+
+errormsg="$(printf "Malformed VERSION file: %s" "$1")"
+set -e
+eval "$(sed -n -e 's/^library\.// p' "$1")"
+errormsg=
+
+if test -z "$format"
+then
+    printf "%d:%d:%d" "$current" "$revision" "$age"
+    if test -t 1
+    then
+        printf "\n"
+    fi
+else
+    eval "$format"
+fi
--- /dev/null
+++ b/vendor/common/build-config/generate-package-version.sh
@@ -0,0 +1,47 @@
+#! /bin/sh
+
+# this script expects an input that contains at least these lines specifying
+# the package version, e.g.
+# package.major=0
+# package.minor=9
+# package.bugfix=0
+# package.suffix=
+
+format="${2-}"
+
+major=0
+minor=0
+bugfix=0
+suffix=
+
+errormsg=
+atexit_error()
+{
+    if test -n "$errormsg"
+    then
+        printf "%s\n" "$errormsg"
+    fi
+}
+trap atexit_error EXIT
+
+errormsg="$(printf "Malformed VERSION file: %s" "$1")"
+set -e
+eval "$(sed -n -e 's/^package\.// p' "$1")"
+errormsg=
+
+if test -z "$format"
+then
+    suffix="${suffix:+-}${suffix}"
+    if test "$bugfix" -eq 0
+    then
+        printf "%d.%d%s" "$major" "$minor" "$suffix"
+    else
+        printf "%d.%d.%d%s" "$major" "$minor" "$bugfix" "$suffix"
+    fi
+    if test -t 1
+    then
+        printf "\n"
+    fi
+else
+    eval "$format"
+fi
